CRYPTO_SHASH_DESCSIZ(9)

NAME
crypto_shash_descsize - obtain the operational state size

SYNOPSIS

unsigned int crypto_shash_descsize(struct crypto_shash * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The size of the operational state the cipher needs during operation is returned for the hash referenced with the cipher handle. This size is required to calculate the memory requirements to allow the caller allocating sufficient memory for operational state.

The operational state is defined with struct shash_desc where the size of that data structure is to be calculated as sizeof(struct shash_desc) + crypto_shash_descsize(alg)

RETURN

size of the operational state

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT